<div class="ui menu teal inverted browse item button" style="width: 10%;">
    <!-- <div class="ui menu floated teal inverted button browse item" style="margin: 10px;"> -->
    <a class="browse item">
        <i class="icon user"></i>
        {{loginBtnString}}
    </a>

    <div class="ui fluid popup top right transition hidden">
       
        <div *ngIf = "user===null else signOut">

            
<!-- SIGNIN FORM -->
<form class="ui form" [formGroup]="loginForm" (ngSubmit)="signin();">
    <div class="field">
        <label>Username</label>
        <div class="ui left icon input">
            <input type="text" formControlName="username">
            <i class="user icon"></i>
        </div>
    </div>

    <div class="field">
        <label>Password</label>
        <div class="ui left icon input">
            <input type="password"  formControlName="password">
            <i class="lock icon"></i>
        </div>
    </div>

    <button class="ui teal submit button fluid" type="submit">
        <i class="sign in alternate icon"></i>
        SIGN IN
    </button>
</form>
<!-- SIGNIN FORM -->


        <div class="ui horizontal divider">
            Or
        </div>
        
        <button class="ui teal fluid button"  (click)="scrollUp()">
            <i class="icon user"></i>
                SIGN UP
        </button>
        </div>

        <ng-template #signOut style="width: 200%">
            <button class="ui teal fluid button" (click)="scrollUp()">
                <i class="user circle icon"></i>
                    PROFILE
            </button>

            <div class="ui horizontal divider">
            </div>    

            <button class="ui teal fluid button" (click)="signout()">
                <i class="sign out alternate icon"></i>
                    SIGN OUT
            </button>
        </ng-template>

        </div>

</div>   

